package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class SporadicPayDto {
    @ApiModelProperty(value = "金额",required = false)
    private BigDecimal amount;

    @ApiModelProperty(value = "用户编号",required = false)
    private Integer userId;

    @ApiModelProperty(value = "支付项编号",required = false)
    private Integer sporadicId;

    @ApiModelProperty(value = "购买数量",required = false)
    private Integer num = 1;

    private boolean isRepeatPay;

    @ApiModelProperty(value = "是否余额支付",required = false)
    Boolean isUseBalancePayment = false;

    public boolean getIsRepeatPay() {
        return isRepeatPay;
    }

    public void setIsRepeatPay(boolean repeatPay) {
        isRepeatPay = repeatPay;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getSporadicId() {
        return sporadicId;
    }

    public void setSporadicId(Integer sporadicId) {
        this.sporadicId = sporadicId;
    }

    public Boolean getUseBalancePayment() {
        return isUseBalancePayment;
    }

    public void setUseBalancePayment(Boolean useBalancePayment) {
        isUseBalancePayment = useBalancePayment;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }
}
